#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################


function próbaWMI ($komputer) {

  trap {
    write-host "Wystąpił błąd: "
    write-host "ID: " $_.ErrorID
    write-host "Komunikat: "$_.Exception.Message
    throw "Błąd"
  }

  $a = get-wmiobject Win32_OperatingSystem `
   -property ServicePackMajorVersion `
   -computer $komputer -ea stop
  write-host "$komputer : " $a.ServicePackMajorVersion

}

write-host "Wersja zestawu Service Pack:"
próbaWMI("xxx")

